<?php



$tdatagender = array();
$tdatagender[".searchableFields"] = array();
$tdatagender[".ShortName"] = "gender";
$tdatagender[".OwnerID"] = "";
$tdatagender[".OriginalTable"] = "gender";


$defaultPages = my_json_decode( "{\"search\":\"search\"}" );

$tdatagender[".pagesByType"] = my_json_decode( "{\"search\":[\"search\"]}" );
$tdatagender[".pages"] = types2pages( my_json_decode( "{\"search\":[\"search\"]}" ) );
$tdatagender[".defaultPages"] = $defaultPages;

//	field labels
$fieldLabelsgender = array();
$fieldToolTipsgender = array();
$pageTitlesgender = array();
$placeHoldersgender = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsgender["English"] = array();
	$fieldToolTipsgender["English"] = array();
	$placeHoldersgender["English"] = array();
	$pageTitlesgender["English"] = array();
	$fieldLabelsgender["English"]["Gender"] = "Gender";
	$fieldToolTipsgender["English"]["Gender"] = "";
	$placeHoldersgender["English"]["Gender"] = "";
	if (count($fieldToolTipsgender["English"]))
		$tdatagender[".isUseToolTips"] = true;
}


	$tdatagender[".NCSearch"] = true;



$tdatagender[".shortTableName"] = "gender";
$tdatagender[".nSecOptions"] = 0;

$tdatagender[".mainTableOwnerID"] = "";
$tdatagender[".entityType"] = 0;

$tdatagender[".strOriginalTableName"] = "gender";

	



$tdatagender[".showAddInPopup"] = false;

$tdatagender[".showEditInPopup"] = false;

$tdatagender[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatagender[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatagender[".listAjax"] = false;
//	temporary
$tdatagender[".listAjax"] = false;

	$tdatagender[".audit"] = false;

	$tdatagender[".locking"] = false;


$pages = $tdatagender[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatagender[".edit"] = true;
	$tdatagender[".afterEditAction"] = 1;
	$tdatagender[".closePopupAfterEdit"] = 1;
	$tdatagender[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatagender[".add"] = true;
$tdatagender[".afterAddAction"] = 1;
$tdatagender[".closePopupAfterAdd"] = 1;
$tdatagender[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatagender[".list"] = true;
}

$tdatagender[".updateSelected"] = true;


$tdatagender[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatagender[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatagender[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatagender[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatagender[".printFriendly"] = true;
}



$tdatagender[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatagender[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatagender[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatagender[".isUseAjaxSuggest"] = true;

$tdatagender[".rowHighlite"] = true;



						

$tdatagender[".ajaxCodeSnippetAdded"] = false;

$tdatagender[".buttonsAdded"] = false;

$tdatagender[".addPageEvents"] = false;

// use timepicker for search panel
$tdatagender[".isUseTimeForSearch"] = false;




$tdatagender[".allSearchFields"] = array();
$tdatagender[".filterFields"] = array();
$tdatagender[".requiredSearchFields"] = array();

$tdatagender[".googleLikeFields"] = array();
$tdatagender[".googleLikeFields"][] = "Gender";



$tdatagender[".tableType"] = "list";

$tdatagender[".printerPageOrientation"] = 0;
$tdatagender[".nPrinterPageScale"] = 100;

$tdatagender[".nPrinterSplitRecords"] = 40;

$tdatagender[".geocodingEnabled"] = false;










$tdatagender[".pageSize"] = 20;

$tdatagender[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatagender[".strOrderBy"] = $tstrOrderBy;

$tdatagender[".orderindexes"] = array();

$tdatagender[".sqlHead"] = "SELECT Gender";
$tdatagender[".sqlFrom"] = "FROM gender";
$tdatagender[".sqlWhereExpr"] = "";
$tdatagender[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatagender[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatagender[".arrGroupsPerPage"] = $arrGPP;

$tdatagender[".highlightSearchResults"] = true;

$tableKeysgender = array();
$tableKeysgender[] = "Gender";
$tdatagender[".Keys"] = $tableKeysgender;


$tdatagender[".hideMobileList"] = array();




//	Gender
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "Gender";
	$fdata["GoodName"] = "Gender";
	$fdata["ownerTable"] = "gender";
	$fdata["Label"] = GetFieldLabel("gender","Gender");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Gender";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Gender";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatagender["Gender"] = $fdata;
		$tdatagender[".searchableFields"][] = "Gender";


$tables_data["gender"]=&$tdatagender;
$field_labels["gender"] = &$fieldLabelsgender;
$fieldToolTips["gender"] = &$fieldToolTipsgender;
$placeHolders["gender"] = &$placeHoldersgender;
$page_titles["gender"] = &$pageTitlesgender;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["gender"] = array();
//	Sholarhips Data Entry Template
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="Sholarhips Data Entry Template";
		$detailsParam["dOriginalTable"] = "applicform";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "Sholarhips_Data_Entry_Template";
	$detailsParam["dCaptionTable"] = GetTableCaption("Sholarhips_Data_Entry_Template");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["gender"][$dIndex] = $detailsParam;

	
		$detailsTablesData["gender"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["gender"][$dIndex]["masterKeys"][]="Gender";

				$detailsTablesData["gender"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["gender"][$dIndex]["detailKeys"][]="Gender";
//	LiveApplicationTemplate
	
	

		$dIndex = 1;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="LiveApplicationTemplate";
		$detailsParam["dOriginalTable"] = "applicform";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "LiveApplicationTemplate";
	$detailsParam["dCaptionTable"] = GetTableCaption("LiveApplicationTemplate");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["gender"][$dIndex] = $detailsParam;

	
		$detailsTablesData["gender"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["gender"][$dIndex]["masterKeys"][]="Gender";

				$detailsTablesData["gender"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["gender"][$dIndex]["detailKeys"][]="Gender";
//	LiveApplicationNew
	
	

		$dIndex = 2;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="LiveApplicationNew";
		$detailsParam["dOriginalTable"] = "applicform";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "LiveApplicationNew";
	$detailsParam["dCaptionTable"] = GetTableCaption("LiveApplicationNew");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["gender"][$dIndex] = $detailsParam;

	
		$detailsTablesData["gender"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["gender"][$dIndex]["masterKeys"][]="Gender";

				$detailsTablesData["gender"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["gender"][$dIndex]["detailKeys"][]="Gender";
//	SholarhipsAdmin
	
	

		$dIndex = 3;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="SholarhipsAdmin";
		$detailsParam["dOriginalTable"] = "applicform";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "SholarhipsAdmin";
	$detailsParam["dCaptionTable"] = GetTableCaption("SholarhipsAdmin");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["gender"][$dIndex] = $detailsParam;

	
		$detailsTablesData["gender"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["gender"][$dIndex]["masterKeys"][]="Gender";

				$detailsTablesData["gender"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["gender"][$dIndex]["detailKeys"][]="Gender";

// tables which are master tables for current table (detail)
$masterTablesData["gender"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_gender()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "Gender";
$proto0["m_strFrom"] = "FROM gender";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "Gender",
	"m_strTable" => "gender",
	"m_srcTableName" => "gender"
));

$proto6["m_sql"] = "Gender";
$proto6["m_srcTableName"] = "gender";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto8=array();
$proto8["m_link"] = "SQLL_MAIN";
			$proto9=array();
$proto9["m_strName"] = "gender";
$proto9["m_srcTableName"] = "gender";
$proto9["m_columns"] = array();
$proto9["m_columns"][] = "Gender";
$obj = new SQLTable($proto9);

$proto8["m_table"] = $obj;
$proto8["m_sql"] = "gender";
$proto8["m_alias"] = "";
$proto8["m_srcTableName"] = "gender";
$proto10=array();
$proto10["m_sql"] = "";
$proto10["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto10["m_column"]=$obj;
$proto10["m_contained"] = array();
$proto10["m_strCase"] = "";
$proto10["m_havingmode"] = false;
$proto10["m_inBrackets"] = false;
$proto10["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto10);

$proto8["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto8);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="gender";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_gender = createSqlQuery_gender();


	
		;

	

$tdatagender[".sqlquery"] = $queryData_gender;

$tableEvents["gender"] = new eventsBase;
$tdatagender[".hasEvents"] = false;

?>